Bug 503199 - netfs NM dispatcher script causes problems on desktops with NFS mounts during hibernate/thaw
netfs NM dispatcher script causes problems on desktops with NFS mounts during...
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2009-05-29 11:18 EDT by Orion Poplawski
Modified: 2014-03-16 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 04:30:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-05-29 11:18:28 EDT
Description of problem:

I want to start hibernating our desktop machines when not in use to save energy.  We use NFS mounted home and data directories.  During hibernate, NM is shut down, the 05-netfs NM dispatcher script is called, and the NFS mounts forcibly unmounted.  On resume the kernel has lost track of the CWD of any process that was in a NFS mounted directory.  (See also bug #287411).

I've removed the NM restart from the hibernate/restart process because I don't think it is desired in a desktop situation.  However, NM still detects that the network goes down during hibernate and still runs the dispatch scripts.

I've removed 05-netfs on my desktop systems, but I think a better long term solution needs to be found (if possible).

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1.  change directory to NFS mounted directory
2.  hibernate/resume
3.  ls -l /proc/$$/cwd
Actual results:
lrwxrwxrwx. 1 orion cora 0 2009-05-29 03:48 /proc/2448/cwd ->

Expected results:
lrwxrwxrwx. 1 orion cora 0 2009-05-29 03:48 /proc/2448/cwd -> /home/orion
Comment 1 Bill Nottingham 2009-05-29 17:05:09 EDT
The same thing happens across suspend/resume of laptops too. I'm not sure you can really code in logic like 'expect to be resumed in the same place we hibernated from'.
Comment 2 Bug Zapper 2009-11-18 07:02:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-12-18 04:30:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.